             This is the Russian Anywhere port for UNIX.
                         Version 0.1 (4.62 port)
         (c) 1999-2000, Dmitri Livotov, Tatiana Khachaturova
			 		 

Contents
=========

1. What is Russian Anywhere

2. How to compile and install
2.1 Requiriments
2.2 Compiling
2.3 Installing

3. How to use Russian Anywhere

4. Known bugs

5. Todo

6. Bug reports

7. Authors


======================================================================

1. What is Russian Anywhere

Russian Anywhere is a russian character decoding program. It allow
transfer russian characters between different codepages. It's main
purpose is to convert damaged russian e-mail messages to readable form and
also may be used to convert files from/to known and unknown codepages.



2. How to compile and install

2.1 Requiriments

Althought files have a ".c" extension, c++ compiler should be used
(gcc or c will not work properly without modifying RE sources)

2.2 Compiling

To compile just run the "compile" script. This will compile Russian Anywhere
and you'll get the "re" executable.

2.3 Installing

Copy "re" executable to any location you prefer (/usr/bin , /usr/local/bin or
wherever you want. To run Russian Anywhere just type - re
(Or /path/to/russian-anywhere/re , if you copied "re" to location which is not in
PATH env. variable)

3. How to use Russian Anywhere

The easiest way to convert some file into readable form (KOI-8),
just type this:

    re <SourceFile> <DestFile> ? K

where :
	<SourceFile> - unreadable file
	<DestFile> - resulting file
	? - tells RE that source codepage is unknown and RE should analyze
	    the file and determine the source codepage
	K - tells RE that destination codepage is KOI-8

Note: If you know, what is source codepage, you may use it instead of "?"
option. For example, you want to convert letter.txt file which was written in Windows and
so you know, that this file is in 1251 codepage:

    re letter.txt letter2.txt W K
    
Now examine the letter2.txt - you should see russian symbols in KOI-8.

Here is the know codepages list and their abbreviatures:

  W - Windows 1251    "_"    - _xxe
  D - Dos             "%"    - %hex
  K - KOI-8           "\\"   - \'hex
  L - Latin            G - Graph_win
  I - Iso             "<"    - <binhex>
  H - HEX              + - +UTF7-
  S - ShiftKbrd        C - C_MIC
  M - Mac              Y - Y_c16
  A - AFF              Z - Z_c32
  O - Odd(UTF8_1)      F - F(UTF8_2)
  B - Base64           P - Pict
  E - Express          N - N_Estl
  T - T-Html           V - V_Vpp855
  U - User             X - X_sp
 "-"    - -uue         J - J_diff

    
Run Russian Anywhere without any option and you'll get the help message.
Also, you may read this message below:


Russian Anywhere v0.1, 1999-2000, ver.0.1 (4.62 port), http//tx-tx.da.ru, http//now.at/dll

 usage:
  re options <filename-from> <filename_to> <cp-from> <cp_to> <s/d/f> <u/l/s>


 options:  [-v][-E|-R|-N][-e|-s]
    -v - tells what is processing
    -n - don't tells what is processing (default) 
    -E - converts all p,H from Russian to English
    -R - converts all p,H from English to Russian
    -N - lets all p,H Russian or English as in text (default)
    -e - converts all symbols 0x80 - 0xFF
    -s - converts only 64 symbols of Russian Alphabet (default)

<cp-from>,<cp_to> - any from list (default - W,K):
  W - Windows         "_"    - _xxe
  D - Dos             "%"    - %hex
  K - KOI-8           "\\"   - \'hex
  L - Latin            G - Graph_win
  I - Iso             "<"    - <binhex>
  H - HEX              + - +UTF7-
  S - ShiftKbrd        C - C_MIC
  M - Mac              Y - Y_c16
  A - AFF              Z - Z_c32
  O - Odd(UTF8_1)      F - F(UTF8_2)
  B - Base64           P - Pict
  E - Express          N - N_Estl
  T - T-Html           V - V_Vpp855
  U - User             X - X_sp
 "-"    - -uue         J - J_diff
 if <cpifrom>="?" - try autoconvert

For <cpifrom>,<cpito> only first symbol significant, case sensitive;
 autoconvert option disabled for <s/d/f>=s or d.


decrypt or encrypt file-from into file-to:
 cpi-from or cpi-to = "!",
 using  arbitrary string in other cpi as passwd.


<s/d/f>: s(string) or d(dbf) or f(file), default-f : 
   if file - convert text-file filename-from -> filename-to
   if dbf - convert all text fields in DBFfile filename-from -> filename-to
   if string - convert string <filename-from> and print result to screen
      (if string  --  arg value <filename-to> not significant).


<u/l/s>: -u<fname> or -l<fname> or -s<fname> or none, default-none :
   if -u  - load user cpi from file <fname>
   if -l  - load new addcpi set from file <fname>
   if -s  - save current addcpi set as file <fname>.





4. Known bugs



5. Todo

- Know bugs fixes
- GUI frontend for X, combined with the simple text editor


6. Bug reports

Please report any found bugs to Dmitri Livotov - dll@peterlink.ru or Tatiana Khachaturova - tx@tarunz.org


7. Authors

(c) 1998-2000 Dmitri Livotov, http://now.at/dll , dll@peterlink.ru
(c) 1998-2000 Tatiana Khachaturova, http://tx-tx.da.ru , tx@tarunz.org

Russian Anywhere for Unix uses GPL license.
Please, find a copy of the GPL license in the "COPYING" file, included
into this tar.gz archive.

For comments, wishes, bug reports, etc regarding Russian Anywhere,
please write to dll@peterlink.ru , tx@tarunz.org
